iOS 6 apps binnenkort niet meer welkom

26 reacties

Tijdens de WWDC van dit jaar heeft Apple de iOS-ontwikkelaars van hun sokken geblazen met de introductie van iOS 7. Het skeuomorfisme moest plaats maken voor dunne lijnen en een plat ontwerp. Desondanks worden iOS 6 apps nog wel toegevoegd aan de App Store. Vanaf 1 februari komt hier verandering in.

Op de developers website van Apple verscheen de mededeling dat vanaf 1 februari alle nieuwe apps geoptimaliseerd moeten zijn voor iOS 7. Het bericht wordt afgesloten met een link naar de iOS Human Interface Guidelines waar de criteria voor een iOS 7 app te vinden zijn. Zowel onder de motorkap als in het uiterlijk moet de app vanaf 1 februari voldoen aan de nieuwe richtlijnen.

Vanaf 1 februari moeten alle nieuwe apps geoptimaliseerd zijn voor iOS 7

Hiermee stimuleert Apple het verdwijnen van iOS 6 apps in de App Store. Dit verbeterd de eenduidigheid en daarmee het gebruiksgemak van apps. Gebruikers die niet kunnen of willen update naar iOS 7 worden overigens niet helemaal uitgesloten van het downloaden van apps. Oude versies worden automatisch opgeslagen en gebruikers krijgen de meest recente versie die compatibel is met de geïnstalleerde versie van iOS.

Er zullen ongetwijfeld mensen zijn die het jammer vinden de stiksels en houten balken achter zich te moeten laten. Ga jij de iOS 6 apps missen?

 

 

Reacties

26 reacties
  • Profielfoto
    App69

    Nee.

  • Profielfoto
    aukem

    Ik ga ze missen, anders wordt alles zo licht enz. Een beetje detail in een app die een beetje strak is uitgelijnd mag er ook zijn

  • Profielfoto
    Hydræ

    Volgens Apple is zo’n 75% al om naar iOS7.

  • Profielfoto
    marceffing

    Het is irritant dat niet aan gebruikers van legacy apparaten wordt gedacht. De originele iPad is tegenwoordig een ‘brick’ geworden omdat ios6 en 7 apps er niet op draaien en oudere versies niet beschikbaar zijn. Commerciele afweging van Apple.

  • Profielfoto
    Serge Nelissen

    @marceffing
    Akkoord. Ik heb mijn iPad1 nog geen 3 jaar en hij is nog amper bruikbaar. Wegens te weinig geheugen crashed hij om de haverklap. Het design en de hardware mogen nog zo knap zijn, een levensduur van 3 jaar omwille van software vind ik niet aanvaardbaar.

  • Profielfoto
    Mich

    Ze vragen de ontwikkelaars de apps te optimaliseren voor iOS 7. Ik lees toch nergens dat ios6 support niet meer mag? Men kan apps toch zowel 6 als 7 support hebben?

  • Profielfoto
    Jupilerke13

    Zucht… Weer een ergernis erbij… Mijn iPod Touch 4g gaat niet hoger dan ios 4…

  • Profielfoto
    joey0181

    @Serge Nelissen
    Ipad air crasht ook constant, dat maakt ook geen verschil.

  • Profielfoto
    McJohn

    Ikzelf heb een iPhone 3GS, en ik mag iOS 7 net zoals zovelen op hun buik schrijven. Toch hoop ik nog enige tijd dit toestel te kunnen gebruiken, want qua attitude gebruik ik meestal de dingen tot ze echt niet meer bruikbaar zijn. Sneu idd, maar zo gaat het nu éénmaal in de industrie, alles is wegwerp geworden. Telkens het nieuwste van het nieuwste willen is een dure hobby zowiezo.

  • Profielfoto
    Needler

    Jouw telefoon is in 2009 uitgebracht. Inmiddels bijna 4,5 jaar oud. Niet zo heel gek dat Apple het niet meer ondersteunt. Welk toestel ging langer dan die periode mee en kreeg updates tot het einde?

  • Profielfoto
    Verdult

    Misschien word het dan toch tijd voor apple om Keynote remote te updaten. Die heeft zelfs alleen nogmaar ondersteuning voor een 3,5 inch scherm.

  • Profielfoto
    Arthur345

    iPod Touch 4G kan naar mijn kennis gewoon nog iOS 6 draaien. Verder wel een mooie actie van Apple om dit te doen. Ruimt een beetje de ouwe zooi op. Niet dat iOS 7 de mooiste interface ooit heeft, maar het is in ieder geval beter dan het oude.

  • Profielfoto
    Matthijn

    Dit bericht komt niet helemaal goed over. Je app moet inderdaad in Xcode 5 gemaakt worden zodat hij voor iOS 7 gecompiled kan worden. Maar daarbinnnen kan je gewoon nog iOS5 targetten. Zodat de applicatie ook gewoon op iOS 5 en 6 werkt.

    Het is dus niet zo dat vanaf dat moment ineens iOS 5 en 6 niet ondersteund mag worden ofzo.

  • Profielfoto
    essiw

    @joey, ik weet niet wat je met je iPad Air doet, maar ik ben overgestapt van de orginele ipad naar de ipad Air en hij crasht nauwelijks, en zeker niet op de manier waarop de iPad1 dat deed.

  • Profielfoto
    Needler

    iOS 7 is het meest buggy “final” iOS tot nu toe. Zowel op mijn iPhone 5 als op mijn iPad Air crasht iOS regelmatig (paar keer per week).

  • Profielfoto
    essiw

    Vreemd, zal wel afhangen van welke apps je gebruikt dan, overkomt mij maar maximaal 1 keer per week (en ik gebruik hem intensief) op men iPad Air. Maarja dat heeft niks met de iPad zelf te maken, de iPad1 crashte door te weinig RAM, de iPad Air crasht dus door een systeemfout.

  • Profielfoto
    I Xyzyx I

    Apple zou inderdaad beter 2 jaar volledige ondersteuning geven en vervolgens enkel bugfixes uitbrengen voor oudere modellen.

  • Profielfoto
    seek

    Er is iets goed mis met Apple. Vergelijk de visuele duidelijkheid van de Weather app maar eens; ze staan netjes naast elkaar bovenaan die Human Interface Guidelines.

    Nog leuker wordt dat Weather als er regen is op een lokatie met veel zon (Canarische Eilanden bijvoorbeeld). Je ziet dan onder dat iele wolkje kleine lichtblauwe streepjes, op een lichtblauwe achtergrond.

  • Profielfoto
    Trat

    Ik juig het toe: iOS 6 ziet er walgelijk oud uit in vergelijking met iOS 7. Nog geen enkele crash gehad sinds 7.0.

  • Profielfoto
    vandenbroeke

    Stiksels en hout ga ik niet missen maar het platte iOS 7 vind ik weer het andere uiterste. Ik weet nog goed hoe enthousiast we vroeger waren met de Aaron extensie waardoor het platte Mac OS opeens meer vorm kreeg en er veel mooier uit zag. Nu zijn we helaas weer terug bij af.

    Nu helaas ook de apps het platte gaan toepassen krijg ik steeds meer een afkeer bij de ooit door mij zo geliefde iPhone. Neem nou bijvoorbeeld de Tom Tom app. De nieuwe vormgeving is mijn inziens om te huilen. Maar goed, ik ben bang dat het niet anders is. Maar toch wel erg jammer.

  • Profielfoto
    Jurriaan

    Als verfent 3GS gebruiker zeg ik, jammer. Het is een gegeven dat alles steeds vernieuwd MOET worden.

    Vooralsnog doe ik niet mee, om de eenvoudige reden dat mijn iPhone 3GS het nog steeds doet. Weggooien van iets wat het nog doet past niet bij mij. Jammer voor de winst van Apple. (Mijn Macbook Pro uit hetzelfde jaar doet het ook nog steeds, en is met 10.9 nog wel up to date naar Apples maatstaven).

    Dit alles los van het feit dat ik iOS 6 qua uiterlijk mooier vind.

  • Profielfoto
    McJohn

    Nou, mijn iMac is van begin 2008 en werkt nog perfect met OSX Mavericks…. dus het feit dat mijn iPhone 3GS uit 2009 is doet er niet toe. Ik heb die trouwens in 2010 gekocht.

    Wat er wel toe doet is de wetenschap dat Apple in het wedstrijdje met andere fabrikanten van smartphones veel radicaler hun hardware gaat gaan aanpassen waardoor mensen vlugger het gevoel hebben dat ze met zwaar verouderde hardware bezig zijn. Nieuwere software maakt de telefoon slomer en dusdanig… minderwaardig.

  • Profielfoto
    hendrik ijzerbroot

    Het probleem hier is het distributiekanaal, d.w.z. de on-line store voor zowel iOS als OS-X. Was het voorheen nog zo dat ontwikkelaars zelf bepaalden wat ze wel en niet ondersteunden, hoe het design er uit zag en wáár je het kon downloaden, nu is het Apple die bepaald wat er in zijn store komt.
    Aan de ene kant kan dat goed zijn om te voorkomen dat het één en ander een zooitje wordt, maar aan de andere kant beperkt dat de vrijheid van zowel de ontwikkelaar als de consument.

    De techniek gaat sowieso snel, maar volgens mij heeft Apple er nog eens twee booster raketten aan vast gebonden want er is geen ander computer bedrijf dat zijn klanten zo pushed om mee te gaan in deze $troomver$nelling.

    Kijk maar naar de apps in de Mac app store: Daar zitten er genoeg bij die minimaal 10.7 vroegen op een moment dat 10.6 méér in gebruikt was dan 10.7. Ja er zijn zelfs al updates van apps die minimaal 10.9 vragen (iWork / iLife, Aperture, FCP o.a.) zodat hele bootladingen vol aan klanten in de kou worden gezet! Dat 10.9 nu dan gratis is, is geen reden om dan maar iedereen te dwingen dat te installeren want men heeft nog meer op zijn Mac staan wat mogelijk dan ineens niet meer werkt. (De ontwikkelaars van die software vinden dat natuurlijk niet erg want die vragen gewoon een flink bedrag voor de update en het geld rolt binnen)

    Vergelijk dat eens met een aantal ontwikkelaars die (nog) niet in de store staan met hun product. Die ondersteunen soms nog 10.5.

  • Profielfoto
    hendrik ijzerbroot

    Ik juig het toe: iOS 6 ziet er walgelijk oud uit in vergelijking met iOS 7. Nog geen enkele crash gehad sinds 7.0.

    Dat is een kwestie van smaak want ik vind een Cadillac uit de jaren ’60 veel mooier dan de huidige.

    En kijk eens naar de ontwikkeling van de GUI in het algemeen. Die was eerst plat en zwart/wit. Later kleur en weer later kleur met diepte. Nu keert Apple terug naar grijs en flauwe pastel tinten en platte vormgeving. Dat is net zoiets als je kleuren TV vervangen voor z/w. Het huidige design noemen we dan ook retro…

  • Profielfoto
    oldpeer

    @ hendrik ijzerbroot
    het ene heet vooruitgang, en het andere mode, meneer ijzerbroot.

  • Profielfoto
    toineenzo

    De looks van de apps hoeven niet te veranderen. Ze moeten alleen met xCode 5 minimaal gemaakt zijn en moeten geoptimaliseerd zijn voor iOS 7. Er kunnen dus nog wel steeds apps worden gesubmit die voor iOS 4 (ofzo) t/m iOS 7 ondersteunen. Bijvoorbeeld bij games hoeft het niet perse plat te zijn en kan je ook je eigen ontwerp gebruiken. Maar je mag dus niet xCode 4 of lager gebruiken.